Subject: Re: [PATCH v2 0/2] SANE: fix a locking bug for plustek backend

From: Liliana Marie Prikler <[email-masked]>
Date: Tue, 24 Sep 2024 20:51:51 +0200

Hi Adrien,

Mumi appears to have this thing again where clicking on some button to
retrieve a message retrieves the wrong message.  Thus, I will answer to
this one while referencing the stuff in the patches.

Am Sonntag, dem 22.09.2024 um 11:07 +0200 schrieb Adrien 'neox'
Bourmault:
>   gnu: sane-backends-minimal: fix lock path for plustek backend
It would be nice if we had an actual patch here rather than a crude
substitute*.  I know it's a sed script on Nix, but that feels kinda
weird to say the least.

>   services: sane-service-type: create lock path for plustek backend
You should look into making this atomic.  It's currently three syscalls
in a row, which would make this vulnerable to race conditions. 
Consider passing a mode to mkdir.

Cheers